<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>angular-frontend documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	   <link rel="stylesheet" href="../styles/style.css">
        <link rel="stylesheet" href="../styles/dark.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">angular-frontend documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content module">
                   <div class="content-data">



<ol class="breadcrumb">
    <li>Modules</li>
    <li >AppRoutingModule</li>
</ol>

<div class="text-center module-graph-container">
    <div id="module-graph-svg">
        <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 5.0.0 (20220707.1540)
 -->
<!-- Title: dependencies Pages: 1 -->
<svg width="264pt" height="174pt"
 viewBox="0.00 0.00 264.00 173.80" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 169.8)">
<title>dependencies</title>
<polygon fill="white" stroke="transparent" points="-4,4 -4,-169.8 260,-169.8 260,4 -4,4"/>
<text text-anchor="middle" x="128" y="-8.2" font-family="sans-serif" font-size="14.00">dependencies</text>
<g id="clust1" class="cluster">
<title>cluster_AppRoutingModule</title>
<polygon fill="none" stroke="black" stroke-dasharray="1,5" points="8,-32.8 8,-157.8 248,-157.8 248,-32.8 8,-32.8"/>
</g>
<g id="clust3" class="cluster">
<title>cluster_AppRoutingModule_imports</title>
<polygon fill="none" stroke="black" points="16,-40.8 16,-92.8 240,-92.8 240,-40.8 16,-40.8"/>
</g>
<!-- PProjectOverviewRoutingModule -->
<g id="node1" class="node">
<title>PProjectOverviewRoutingModule</title>
<polygon fill="#8dd3c7" stroke="black" points="231.81,-84.8 228.81,-88.8 207.81,-88.8 204.81,-84.8 24.19,-84.8 24.19,-48.8 231.81,-48.8 231.81,-84.8"/>
<text text-anchor="middle" x="128" y="-62.6" font-family="Times,serif" font-size="14.00">PProjectOverviewRoutingModule</text>
</g>
<!-- AppRoutingModule -->
<g id="node2" class="node">
<title>AppRoutingModule</title>
<polygon fill="#8dd3c7" stroke="black" points="192.28,-149.8 189.28,-153.8 168.28,-153.8 165.28,-149.8 63.72,-149.8 63.72,-113.8 192.28,-113.8 192.28,-149.8"/>
<text text-anchor="middle" x="128" y="-127.6" font-family="Times,serif" font-size="14.00">AppRoutingModule</text>
</g>
<!-- PProjectOverviewRoutingModule&#45;&gt;AppRoutingModule -->
<g id="edge1" class="edge">
<title>PProjectOverviewRoutingModule&#45;&gt;AppRoutingModule</title>
<path fill="none" stroke="black" d="M128,-84.91C128,-84.91 128,-103.79 128,-103.79"/>
<polygon fill="black" stroke="black" points="124.5,-103.79 128,-113.79 131.5,-103.79 124.5,-103.79"/>
</g>
</g>
</svg>

    </div>
    <i id="fullscreen" class="icon ion-ios-resize module-graph-fullscreen-btn" aria-hidden="true"></i>
    <div class="btn-group size-buttons">
        <button id="zoom-in" class="btn btn-default btn-sm">Zoom in</button>
        <button id="reset" class="btn btn-default btn-sm">Reset</button>
        <button id="zoom-out" class="btn btn-default btn-sm">Zoom out</button>
    </div>
</div>
<script src="../js/libs/svg-pan-zoom.min.js"></script>
<script src="../js/svg-pan-zoom.controls.js"></script>

<ul class="nav nav-tabs" role="tablist">
    <li  class="active" >
        <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
    </li>
    <li >
        <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
    </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info">

        <p class="comment">
            <h3>File</h3>
        </p>
        <p class="comment">
            <code>projects/projects-app-ang/src/app/app-routing.module.ts</code>
        </p>





        <div class="container-fluid module">
            <div class="row">
                <div class="col-sm-3">
                    <h3>Imports<a href="https://angular.io/api/core/NgModule#imports" target="_blank" title="Official documentation about module imports"><span
                                class="icon ion-ios-information-circle-outline"></a></h3>
                    <ul class="list-group">
                        <li class="list-group-item">
                            <a href="../modules/PProjectOverviewRoutingModule.html">PProjectOverviewRoutingModule</a>
                        </li>
                    </ul>
                </div>
            </div>
        </div>


    </div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { NgModule } from &#x27;@angular/core&#x27;;
import { RouterModule, Routes } from &#x27;@angular/router&#x27;;

/**Import Components*/
import { ProjectsListComponent } from &#x27;./components/projects-list/projects-list.component&#x27;;
import { ProjectDetailsComponent } from &#x27;./components/project-details/project-details.component&#x27;;
import { AddProjectComponent } from &#x27;./components/add-project/add-project.component&#x27;;
import { MyProjectComponent } from &#x27;./components/my-project/my-project.component&#x27;;
import { CProjectsTableComponent } from &#x27;./p-project-overview/c-projects-table/c-projects-table.component&#x27;;

/**Import Modules*/
import { PProjectOverviewModule } from &#x27;./p-project-overview/p-project-overview.module&#x27;;
import { PProjectOverviewRoutingModule } from &#x27;./p-project-overview/p-project-overview-routing.module&#x27;;
import { LandingComponent } from &#x27;./components/landing/landing.component&#x27;;
import { AuthComponent } from &#x27;./components/auth/auth.component&#x27;;
//import { NbLoginComponent } from &#x27;@nebular/auth&#x27;;

export const routes: Routes &#x3D; [
  // ...
  { path: &#x27;&#x27;, component: LandingComponent}, // ,children: [
    //{ path: &#x27;login&#x27;, component: NbLoginComponent }, // Content for the landing page
    // Add other routes for your application here
  //] },
  //{ path: &#x27;&#x27;, redirectTo: &#x27;projects&#x27;, pathMatch: &#x27;full&#x27;},
  { path: &#x27;projects&#x27;, component: ProjectsListComponent},
  { path: &#x27;projects/:id&#x27;, component: ProjectDetailsComponent},
  { path: &#x27;add&#x27;, component:AddProjectComponent},
  { path: &#x27;my&#x27;, component:MyProjectComponent},
  { path: &#x27;project-overview&#x27;, component:CProjectsTableComponent},
  { path: &#x27;landing&#x27;, component: LandingComponent},
  
  { path: &#x27;auth&#x27;,
   loadChildren: () &#x3D;&gt; &quot;import(&#x27;./components/auth/auth.module&#x27;).then(m &#x3D;&gt; m.NgxAuthModule)&quot; },
  
];

@NgModule({
  imports: [RouterModule.forRoot(routes),PProjectOverviewRoutingModule,],
  exports: [RouterModule]
})
export class AppRoutingModule { }

import {
  NbAuthComponent,
  NbLoginComponent,
  NbRegisterComponent,
  NbLogoutComponent,
  NbRequestPasswordComponent,
  NbResetPasswordComponent,
} from &#x27;@nebular/auth&#x27;;


</code></pre>
    </div>
</div>

















                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> results matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

          <label class="dark-mode-switch">
               <input type="checkbox">
               <span class="slider">
                    <svg class="slider-icon" viewBox="0 0 24 24" fill="none" height="20" stroke="#000" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" width="20" xmlns="http://www.w3.org/2000/svg">
                    <path d="M21 12.79A9 9 0 1111.21 3 7 7 0 0021 12.79z"></path>
                    </svg>
               </span>
          </label>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'module';
            var COMPODOC_CURRENT_PAGE_URL = 'AppRoutingModule.html';
            var MAX_SEARCH_RESULTS = 15;
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>

       <script src="../js/menu-wc.js" defer></script>
       <script nomodule src="../js/menu-wc_es5.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
